package gostream

import "gitlab.dms3.io/p2p/go-p2p-core/peer"

// addr implements net.Addr and holds a p2p peer ID.
type addr struct{ id peer.ID }

// Network returns the name of the network that this address belongs to
// (p2p).
func (a *addr) Network() string { return Network }

// String returns the peer ID of this address in string form
// (B58-encoded).
func (a *addr) String() string { return a.id.Pretty() }
